#! /bin/bash

PSQL=/usr/local/pgsql/bin/psql

MASTER_BASEDIR=$1
RECOVERY_HOST=$2
RECOVERY_BASEDIR=$3

# x[XobNAbv̊Jn 
$PSQL -c "SELECT pg_start_backup('pgpool-recovery')" postgres

# Joprecovry.conft@C
echo "restore_command = 'cp $RECOVERY_BASEDIR/archive_log/%f %p'" > $MASTER_BASEDIR/recovery.conf

# Jõf[^x[XNX^Ô߂ɃobNAbv
ssh -T $RECOVERY_HOST rm -rf $RECOVERY_BASEDIR.bk
ssh -T $RECOVERY_HOST mv -f  $RECOVERY_BASEDIR{,.bk}

# f[^x[XNX^=x[XobNAbvJoɓ]
rsync -az -e ssh $MASTER_BASEDIR/ $RECOVERY_HOST:$RECOVERY_BASEDIR/

ssh -T $RECOVERY_HOST cp -f  $RECOVERY_BASEDIR.bk/postgresql.conf $RECOVERY_BASEDIR
ssh -T $RECOVERY_HOST rm -f  $RECOVERY_BASEDIR/postmaster.pid

# Joɓ]̂ŁAsvɂȂrecovery.conf폜
rm -f $MASTER_BASEDIR/recovery.conf

# x[XobNAbv̏I
$PSQL -c "SELECT pg_stop_backup()" postgres
